package com.weaver.seconddev.service.entity;

public class HrmResource {
    String uid = "";// workcode
    String cn = "";// lastname
    String password = "";// password(MD5加密)
    String accountstatus = "";// loginid(默认为工号)
    String guid = "";// textfield1
    String companyid = "";// subcompanyid1
    String departmentid = "";// departmentid
    String postid = "";// jobtitle
    String sex = "";// sex
    String highlevel = "";// manager
    String employeestatus = "";// status
    String birthday = "";// birthday
    String nativeplace = "";// nativeplace
    String politicalstatus = "";// policy
    String domicile = "";// residentplace
    String mobile = "";// mobile
    String graduatedfrom = "";// textfield4
    String education = "";// textfield3
    String major = "";// textfield5
    String startpostdate = "";// datefield2
    String identitycard = "";// certificatenum
    String enterhtdate = "";// datefield1
    String cardnumber = "";// textfield2
    String wordtel = "";// telephone
    String joblevel = "";// joblevel
    String permanentaddress = "";// homeaddress
    String maritalstatus = "";// maritalstatus
    String mail = "";// email
    String operation = ""; // 操作

    String companyguid = "";// cmpguid
    String departmentguid = "";// deptguid
    String postguid = "";// postgudi

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getCn() {
        return cn;
    }

    public void setCn(String cn) {
        this.cn = cn;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getAccountstatus() {
        return accountstatus;
    }

    public void setAccountstatus(String accountstatus) {
        this.accountstatus = accountstatus;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public String getCompanyid() {
        return companyid;
    }

    public void setCompanyid(String companyid) {
        this.companyid = companyid;
    }

    public String getDepartmentid() {
        return departmentid;
    }

    public void setDepartmentid(String departmentid) {
        this.departmentid = departmentid;
    }

    public String getPostid() {
        return postid;
    }

    public void setPostid(String postid) {
        this.postid = postid;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getHighlevel() {
        return highlevel;
    }

    public void setHighlevel(String highlevel) {
        this.highlevel = highlevel;
    }

    public String getEmployeestatus() {
        return employeestatus;
    }

    public void setEmployeestatus(String employeestatus) {
        this.employeestatus = employeestatus;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getNativeplace() {
        return nativeplace;
    }

    public void setNativeplace(String nativeplace) {
        this.nativeplace = nativeplace;
    }

    public String getPoliticalstatus() {
        return politicalstatus;
    }

    public void setPoliticalstatus(String politicalstatus) {
        this.politicalstatus = politicalstatus;
    }

    public String getDomicile() {
        return domicile;
    }

    public void setDomicile(String domicile) {
        this.domicile = domicile;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getGraduatedfrom() {
        return graduatedfrom;
    }

    public void setGraduatedfrom(String graduatedfrom) {
        this.graduatedfrom = graduatedfrom;
    }

    public String getEducation() {
        return education;
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getStartpostdate() {
        return startpostdate;
    }

    public void setStartpostdate(String startpostdate) {
        this.startpostdate = startpostdate;
    }

    public String getIdentitycard() {
        return identitycard;
    }

    public void setIdentitycard(String identitycard) {
        this.identitycard = identitycard;
    }

    public String getEnterhtdate() {
        return enterhtdate;
    }

    public void setEnterhtdate(String enterhtdate) {
        this.enterhtdate = enterhtdate;
    }

    public String getCardnumber() {
        return cardnumber;
    }

    public void setCardnumber(String cardnumber) {
        this.cardnumber = cardnumber;
    }

    public String getWordtel() {
        return wordtel;
    }

    public void setWordtel(String wordtel) {
        this.wordtel = wordtel;
    }

    public String getJoblevel() {
        return joblevel;
    }

    public void setJoblevel(String joblevel) {
        this.joblevel = joblevel;
    }

    public String getPermanentaddress() {
        return permanentaddress;
    }

    public void setPermanentaddress(String permanentaddress) {
        this.permanentaddress = permanentaddress;
    }

    public String getMaritalstatus() {
        return maritalstatus;
    }

    public void setMaritalstatus(String maritalstatus) {
        this.maritalstatus = maritalstatus;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getCompanyguid() {
        return companyguid;
    }

    public void setCompanyguid(String companyguid) {
        this.companyguid = companyguid;
    }

    public String getDepartmentguid() {
        return departmentguid;
    }

    public void setDepartmentguid(String departmentguid) {
        this.departmentguid = departmentguid;
    }

    public String getPostguid() {
        return postguid;
    }

    public void setPostguid(String postguid) {
        this.postguid = postguid;
    }
}